Hardware Locality (hwloc) 2.4.1rc3

Functions
Components and Plugins: finding PCI objects during other discoveries

## Functions
struct hwloc_obj * | hwloc_pci_find_parent_by_busid (struct hwloc_topology *topology, unsigned domain, unsigned bus, unsigned dev, unsigned func)

## Detailed Description

## Function Documentation

## ◆ hwloc_pci_find_parent_by_busid()

struct hwloc_obj* hwloc_pci_find_parent_by_busid | ( | struct hwloc_topology * | topology,
|  | unsigned | domain,
|  | unsigned | bus,
|  | unsigned | dev,
|  | unsigned | func
| ) |  |

Find the normal parent of a PCI bus ID.

Look at PCI affinity to find out where the given PCI bus ID should be attached.

This function should be used to attach an I/O device under the corresponding PCI object (if any), or under a normal (non-I/O) object with same locality.